diff --git a/pgadmin/frm/frmEditGrid.cpp b/pgadmin/frm/frmEditGrid.cpp
index fd1b60f..8dca85d 100644
--- a/pgadmin/frm/frmEditGrid.cpp
+++ b/pgadmin/frm/frmEditGrid.cpp
@@ -84,7 +84,7 @@ BEGIN_EVENT_TABLE(frmEditGrid, pgFrame)
 END_EVENT_TABLE()
 
 
-frmEditGrid::frmEditGrid(frmMain *form, const wxString& _title, pgConn *_conn, pgSchemaObject *obj)
+frmEditGrid::frmEditGrid(frmMain *form, const wxString& _title, pgConn *_conn, pgSchemaObject *obj, bool pkAscending)
 : pgFrame(NULL, _title)
 {
     closing = false;
@@ -95,7 +95,7 @@ frmEditGrid::frmEditGrid(frmMain *form, const wxString& _title, pgConn *_conn, p
     RestorePosition(-1, -1, 600, 500, 300, 350);
     connection=_conn;
     mainForm=form;
-    thread=0;
+	thread=0;
     relkind=0;
     limit=0;
     relid=(Oid)obj->GetOid();
@@ -261,7 +261,7 @@ frmEditGrid::frmEditGrid(frmMain *form, const wxString& _title, pgConn *_conn, p
             orderBy=wxT("oid");
         if (!orderBy.IsEmpty())
         {
-            if (ascending)
+            if (pkAscending)
                 orderBy += wxT(" ASC");
             else
                 orderBy += wxT(" DESC");
@@ -392,11 +392,6 @@ void frmEditGrid::SetLimit(const int rowlimit)
     }
 }
 
-void frmEditGrid::SetAscending(const bool ascendingin)
-{
-    ascending = ascendingin;
-}
-
 void frmEditGrid::OnLabelRightClick(wxGridEvent& event)
 {
     wxMenu *xmenu = new wxMenu();
@@ -3113,9 +3108,8 @@ wxWindow *editGridFactoryBase::ViewData(frmMain *form, pgObject *obj, bool filte
             + wxT(") - ") + db->GetName()
             + wxT(" - ") + obj->GetFullIdentifier();
 
-        frmEditGrid *eg= new frmEditGrid(form, txt, conn, (pgSchemaObject*)obj);
+        frmEditGrid *eg= new frmEditGrid(form, txt, conn, (pgSchemaObject*)obj, pkAscending);
         eg->SetLimit(rowlimit);
-        eg->SetAscending(pkAscending);
         eg->ShowForm(filter);
         return eg;
     }
@@ -3128,7 +3122,7 @@ editGridFactory::editGridFactory(menuFactoryList *list, wxMenu *mnu, ctlMenuTool
     mnu->Append(id, _("View &All Rows\tCtrl-D"), _("View the data in the selected object."));
     toolbar->AddTool(id, _("View All Rows\tCtrl-D"), wxBitmap(viewdata_xpm), _("View the data in the selected object."), wxITEM_NORMAL);
     context = false;
-}
+ }
 
 
 wxWindow *editGridFactory::StartDialog(frmMain *form, pgObject *obj)
diff --git a/pgadmin/include/frm/frmEditGrid.h b/pgadmin/include/frm/frmEditGrid.h
index 43f695d..cc85e65 100644
--- a/pgadmin/include/frm/frmEditGrid.h
+++ b/pgadmin/include/frm/frmEditGrid.h
@@ -184,7 +184,7 @@ class pgSchemaObject;
 class frmEditGrid : public pgFrame
 {
 public:
-    frmEditGrid(frmMain *form, const wxString& _title, pgConn *conn, pgSchemaObject *obj);
+    frmEditGrid(frmMain *form, const wxString& _title, pgConn *conn, pgSchemaObject *obj, bool ascending = true);
     ~frmEditGrid();
 
     void ShowForm(bool filter = false);
@@ -195,8 +195,6 @@ public:
     void SetFilter(const wxString &filter);
     int GetLimit() const { return limit; } ;
     void SetLimit(const int rowlimit);
-    bool GetAscending() const { return ascending; } ;
-    void SetAscending(const bool ascending);
     wxMenu *GetFileMenu() { return fileMenu; };
     wxMenu *GetEditMenu() { return editMenu; };
 
@@ -257,7 +255,6 @@ private:
     wxString orderBy;
     wxString rowFilter;
     int limit;
-    bool ascending;
     sqlCell *editorCell;
     bool closing;
 
